/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package IntermediaryCode;

import API.Instruction;

/**
 *
 * @author Eugenio
 */
public class TestInstruction {

    /**
     * 6 5 5 5 5 6
     * +--------+--------+-------+-------+------+--------+ R-type format<br>
     * | Op-code| Rs | Rt | Rd | SA |Funct-code|
     * +--------+--------+-------+-------+------+--------+ <br>
     * 6 5 5 16 <br>
     * +--------+--------+-------+------------------------+ I-type format<br>
     * |Op-code | Rs | Rt | 2’s complement constant|
     * +--------+--------+-------+------------------------+ <br>
     * 6 26<br>
     * +--------+-----------------------------------------+ J-type format<br>
     * |Op-code| jump_target |
     * +--------+-----------------------------------------+ <br>
     * bit 31 bit 0
     *
     * @param r2
     * @param tipo
     */
    public void testar(Instruction r2, String tipo) {
//        System.out.println("TESTAR:" + r2);
        switch (tipo) {
            case "R":
                break;
            case "J":
                break;
            case "I":
                break;
        }
    }

}
